Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.SecPkgInfo

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SecPkgInfo

Direct Known Subclasses:
  Sspi.SecPkgInfo.ByReference

Enclosing interface:
  Sspi

    public static class Sspi.SecPkgInfo

extends com.sun.jna.Structure

The SecPkgInfo structure provides general information about a security package, such as its name and capabilities.

Nested Class Summary
`static class` | `Sspi.SecPkgInfo.ByReference` A reference pointer to a SecPkgInfo structure.

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `cbMaxToken` Specifies the maximum size, in bytes, of the token.
`com.sun.jna.WString` | `Comment` Pointer to a null-terminated string.
`com.sun.jna.NativeLong` | `fCapabilities` Set of bit flags that describes the capabilities of the security package.
`com.sun.jna.WString` | `Name` Pointer to a null-terminated string that contains the name of the security package.
`short` | `wRPCID` Specifies a DCE RPC identifier, if appropriate.
`short` | `wVersion` Specifies the version of the package protocol.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SecPkgInfo()` Create a new package info.

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### fCapabilities

    public com.sun.jna.NativeLong fCapabilities

  Set of bit flags that describes the capabilities of the security package.

### wVersion

    public short wVersion

  Specifies the version of the package protocol. Must be 1.

### wRPCID

    public short wRPCID

  Specifies a DCE RPC identifier, if appropriate. If the package does not implement one of the DCE registered security systems, the reserved value SECPKG_ID_NONE is used.

### cbMaxToken

    public com.sun.jna.NativeLong cbMaxToken

  Specifies the maximum size, in bytes, of the token.

### Name

    public com.sun.jna.WString Name

  Pointer to a null-terminated string that contains the name of the security package.

### Comment

    public com.sun.jna.WString Comment

  Pointer to a null-terminated string. This can be any additional string passed back by the package.

Constructor Detail

### Sspi.SecPkgInfo

    public Sspi.SecPkgInfo()

  Create a new package info.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD